Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
tuan_ts2007@yahoo.com.vn

Lệnh tính diện tích, khối lượng trong bản vẽ xây dựng

Các bài được khuyến nghị

Các Bác cho Em hỏi dùng lệnh nào để tính diện tích và khối lượng trên bản vẽ xây dựng là nhanh nhất? Mong được sự giúp đỡ của các Bác

aa trong cad roi chon Ôr

dùng lisp sau:

; tinh dien tich, co the cong cac dien tich khac nhau ghi vao 1 so co san

(defun c:dt3()

;(if (= sc3 nil) (progn

; (setq Ty_le_N (getreal "\nHorizontal Drawing scale :chu y de quy doi m or mm "))

;(setq He_so_N (/ 1000 Ty_le_N))

; (setq Ty_le_D (getreal "\nVertical Drawing scale :chu y de quy doi m or mm "))

;(setq He_so_D (/ 1000 Ty_le_D))

;(setq He_so2 (* He_so_N He_so_D))

; )

:bigsmile:

(if (= SC3 nil) (setq SC3 (getreal "\nNhap ti le : (1or0.5or0.1...so nay duoc nhan vao dien tich")))

(setq dtl 0)

(setq ss (ssadd))

(setq oslast (getvar "OSMODE"))

(command "osnap" "")

(print)

(print)

(setq pt1 (getpoint "\nPick internal point : "))

(while (/= pt1 nil)

(command "-boundary" pt1 "")

(setq et (entlast))

(ssadd et ss)

(command "area" "e" "l")

(setq vsize ( /(getvar "VIEWSIZE") 300 ))

(command "hatch" "ANSI31" vsize "0" "l" "")

(setq et (entlast))

(ssadd et ss)

(setq dtcon (getvar "AREA"))

(setq dtl (+ dtcon dtl))

(print)

(print)

(setq pt1 (getpoint "\nPick internal point : "))

)

(command "setvar" "OSMODE" oslast)

(command "erase" ss "")

(setq ss nil)

(command "redraw")

(setq dtl (/ (* dtl sc3) 1))

(setq en (car (entsel "Thay cho so : ")))

(setq elst (entget en))

(setq elst (subst (cons 1 (strcat " " (rtos dtl 2 2))) (assoc 1 elst) elst))

(entmod elst)

; (print)

; (prompt (strcat "\nTotal area : " (rtos dTy_le 2 2)))

; (print)

; (setq pt2 (getpoint "\nPoint to write: "))

; (command "text" pt2 (/ vsize 6) "0" (rtos dtl 2 2))

);defun

Chúc vui

---------------------------------

Nếu muốn cảm ơn, bạn hãy bấm vào nút thanks

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái lisp này muốn chỉnh lại tỷ lệ thì làm thế nào hả bác. Em thấy nó hỏi mỗi 1 lần đầu tiên xong muốn chỉnh lại tìm mãi ko ra bác giúp e cái

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cái lisp này muốn chỉnh lại tỷ lệ thì làm thế nào hả bác. Em thấy nó hỏi mỗi 1 lần đầu tiên xong muốn chỉnh lại tìm mãi ko ra bác giúp e cái

tắt cad đi mở lại thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×